ALTER TABLE `session`
ADD `html_audio_lossy` TINYINT(1) UNSIGNED NOT NULL DEFAULT '1' AFTER `download_id`,
ADD `html_audio_lossless` TINYINT(1) UNSIGNED NOT NULL DEFAULT '1' AFTER `html_audio_lossy`,
ADD `html_audio_url` VARCHAR(255) NOT NULL DEFAULT '' AFTER `html_audio_lossless`,
CHANGE `thumbnail` `thumbnail` TINYINT UNSIGNED NOT NULL DEFAULT '1',
CHANGE `stream_id` `stream_id` TINYINT NOT NULL DEFAULT '2',
CHANGE `download_id` `download_id` TINYINT NOT NULL DEFAULT '2';


ALTER TABLE `user`
ADD `play_mode` TINYINT(1) UNSIGNED NOT NULL DEFAULT '0' AFTER `access_search`,
ADD `player_id` INT NOT NULL DEFAULT '0' AFTER `play_mode`,
ADD `stream_id` TINYINT NOT NULL DEFAULT '2' AFTER `player_id`,
ADD `download_id` TINYINT NOT NULL DEFAULT '2' AFTER `stream_id`,
ADD `html_audio_lossy` TINYINT UNSIGNED NOT NULL DEFAULT '1' AFTER `download_id`,
ADD `html_audio_lossless` TINYINT UNSIGNED NOT NULL DEFAULT '1' AFTER `html_audio_lossy`,
ADD `skin` VARCHAR(255) NOT NULL DEFAULT 'Clean' AFTER `random_blacklist`;


ALTER TABLE `share_stream` ADD `html_audio_lossy` TINYINT(1) UNSIGNED NOT NULL DEFAULT '0' AFTER `stream_id`,
ADD `html_audio_lossless` TINYINT(1) UNSIGNED NOT NULL DEFAULT '0' AFTER `html_audio_lossy`;


ALTER TABLE `user` DROP `access_playlist`;
TRUNCATE TABLE `session`;

-- --------------------------------------------------------

--
-- Database version
--

UPDATE `server` SET `value` = '' WHERE `name` = 'latest_version' LIMIT 1;
UPDATE `server` SET `value` = '0' WHERE `name` = 'latest_version_idle_time' LIMIT 1;
UPDATE `server` SET `value` = '52' WHERE `name` = 'database_version' LIMIT 1;
