<?php
//  +------------------------------------------------------------------------+
//  | netjukebox, Copyright (C) 2001-2017 Willem Bartels                     |
//  |                                                                        |
//  | http://www.netjukebox.nl                                               |
//  | http://forum.netjukebox.nl                                             |
//  |                                                                        |
//  | This program is free software: you can redistribute it and/or modify   |
//  | it under the terms of the GNU General Public License as published by   |
//  | the Free Software Foundation, either version 3 of the License, or      |
//  | (at your option) any later version.                                    |
//  |                                                                        |
//  | This program is distributed in the hope that it will be useful,        |
//  | but WITHOUT ANY WARRANTY; without even the implied warranty of         |
//  | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          |
//  | GNU General Public License for more details.                           |
//  |                                                                        |
//  | You should have received a copy of the GNU General Public License      |
//  | along with this program.  If not, see <http://www.gnu.org/licenses/>.  |
//  +------------------------------------------------------------------------+




//  +------------------------------------------------------------------------+
//  | Mass cover rename                                                      |
//  +------------------------------------------------------------------------+
header('Expires: Mon, 9 Oct 2000 18:00:00 GMT');
header('Cache-Control: no-store, no-cache, must-revalidate');




echo '<!doctype html><html><head><title></title></head><body>' . "\n";
exit('<strong>BEFORE USE MAKE A BACKUP</strong><br><br>netjukebox mass cover rename.<br>Comment out line ' . __LINE__ . ' to run this script.</body></html>');




//  +------------------------------------------------------------------------+
//  | Configuration                                                          |
//  +------------------------------------------------------------------------+
require_once('../include/config.inc.php');
$cfg['cover_front_from']= 'cd_front';
$cfg['cover_back_from']	= 'cd_back';
$cfg['cover_front_to']	= $cfg['image_front'];
$cfg['cover_back_to']	= $cfg['image_back'];




//  +------------------------------------------------------------------------+
//  | Convert                                                                |
//  +------------------------------------------------------------------------+
recursiveScan($cfg['media_dir']);
echo 'Ready' . "\n";
echo '</body></html>';




//  +------------------------------------------------------------------------+
//  | Recursive convert                                                      |
//  +------------------------------------------------------------------------+
function recursiveScan($dir) {
	global $cfg;

	$entries = @scandir($dir) or exit('Failed to open directory:<br>' . htmlspecialchars($dir) . '</body></html>');
	foreach ($entries as $entry) {
		if ($entry[0] != '.' && !in_array($entry, array('lost+found', 'Temporary Items', 'Network Trash Folder', 'System Volume Information', 'RECYCLER', '$RECYCLE.BIN', 'iTunes'))) {
			if (is_dir($dir . $entry . '/'))
				recursiveScan($dir . $entry . '/');
			else {
				$file = $dir . $entry;
				if ($entry == $cfg['cover_front_from'] . '.jpg')	rename($file, $dir . $cfg['cover_front_to'] . '.jpg');
				if ($entry == $cfg['cover_front_from'] . '.png')	rename($file, $dir . $cfg['cover_front_to'] . '.png');
				if ($entry == $cfg['cover_back_from'] . '.jpg')		rename($file, $dir . $cfg['cover_back_to'] . '.jpg');
				if ($entry == $cfg['cover_back_from'] . '.png')		rename($file, $dir . $cfg['cover_back_to'] . '.png');
			}
		}
	}
}
