ALTER TABLE `session` CHANGE `skin` `skin` VARCHAR( 255 ) NOT NULL default 'Clean';


CREATE TABLE `country` (
  `iso` char(2) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `code` smallint(6) default NULL,
  KEY `code` (`code`)
) ENGINE=MyISAM;

-- --------------------------------------------------------

--
-- Country code
-- 

INSERT INTO `country` VALUES ('AF', 'Afghanistan', 4);
INSERT INTO `country` VALUES ('AX', 'Aland Islands', 248);
INSERT INTO `country` VALUES ('AL', 'Albania', 8);
INSERT INTO `country` VALUES ('DZ', 'Algeria', 12);
INSERT INTO `country` VALUES ('AS', 'American Samoa', 16);
INSERT INTO `country` VALUES ('AD', 'Andorra', 20);
INSERT INTO `country` VALUES ('AO', 'Angola', 24);
INSERT INTO `country` VALUES ('AI', 'Anguilla', 660);
INSERT INTO `country` VALUES ('AQ', 'Antarctica', 10);
INSERT INTO `country` VALUES ('AG', 'Antigua and Barbuda', 28);
INSERT INTO `country` VALUES ('AR', 'Argentina', 32);
INSERT INTO `country` VALUES ('AM', 'Armenia', 51);
INSERT INTO `country` VALUES ('AW', 'Aruba', 533);
INSERT INTO `country` VALUES ('AU', 'Australia', 36);
INSERT INTO `country` VALUES ('AT', 'Austria', 40);
INSERT INTO `country` VALUES ('AZ', 'Azerbaijan', 31);
INSERT INTO `country` VALUES ('BS', 'Bahamas', 44);
INSERT INTO `country` VALUES ('BH', 'Bahrain', 48);
INSERT INTO `country` VALUES ('BD', 'Bangladesh', 50);
INSERT INTO `country` VALUES ('BB', 'Barbados', 52);
INSERT INTO `country` VALUES ('BY', 'Belarus', 112);
INSERT INTO `country` VALUES ('BE', 'Belgium', 56);
INSERT INTO `country` VALUES ('BZ', 'Belize', 84);
INSERT INTO `country` VALUES ('BJ', 'Benin', 204);
INSERT INTO `country` VALUES ('BM', 'Bermuda', 60);
INSERT INTO `country` VALUES ('BT', 'Bhutan', 64);
INSERT INTO `country` VALUES ('BO', 'Bolivia', 68);
INSERT INTO `country` VALUES ('BA', 'Bosnia and Herzegovina', 70);
INSERT INTO `country` VALUES ('BW', 'Botswana', 72);
INSERT INTO `country` VALUES ('BV', 'Bouvet Island', 74);
INSERT INTO `country` VALUES ('BR', 'Brazil', 76);
INSERT INTO `country` VALUES ('IO', 'British Indian Ocean Territory', 86);
INSERT INTO `country` VALUES ('BN', 'Brunei Darussalam', 96);
INSERT INTO `country` VALUES ('BG', 'Bulgaria', 100);
INSERT INTO `country` VALUES ('BF', 'Burkina Faso', 854);
INSERT INTO `country` VALUES ('BI', 'Burundi', 108);
INSERT INTO `country` VALUES ('KH', 'Cambodia', 116);
INSERT INTO `country` VALUES ('CM', 'Cameroon', 120);
INSERT INTO `country` VALUES ('CA', 'Canada', 124);
INSERT INTO `country` VALUES ('CV', 'Cape Verde', 132);
INSERT INTO `country` VALUES ('KY', 'Cayman Islands', 136);
INSERT INTO `country` VALUES ('CF', 'Central African Republic', 140);
INSERT INTO `country` VALUES ('TD', 'Chad', 148);
INSERT INTO `country` VALUES ('CL', 'Chile', 152);
INSERT INTO `country` VALUES ('CN', 'China', 156);
INSERT INTO `country` VALUES ('CX', 'Christmas Island', 162);
INSERT INTO `country` VALUES ('CC', 'Cocos (Keeling) Islands', 166);
INSERT INTO `country` VALUES ('CO', 'Colombia', 170);
INSERT INTO `country` VALUES ('KM', 'Comoros', 174);
INSERT INTO `country` VALUES ('CG', 'Congo', 178);
INSERT INTO `country` VALUES ('CD', 'Congo, the Democratic Republic of the', 180);
INSERT INTO `country` VALUES ('CK', 'Cook Islands', 184);
INSERT INTO `country` VALUES ('CR', 'Costa Rica', 188);
INSERT INTO `country` VALUES ('CI', 'Cote D''Ivoire', 384);
INSERT INTO `country` VALUES ('HR', 'Croatia', 191);
INSERT INTO `country` VALUES ('CU', 'Cuba', 192);
INSERT INTO `country` VALUES ('CY', 'Cyprus', 196);
INSERT INTO `country` VALUES ('CZ', 'Czech Republic', 203);
INSERT INTO `country` VALUES ('DK', 'Denmark', 208);
INSERT INTO `country` VALUES ('DJ', 'Djibouti', 262);
INSERT INTO `country` VALUES ('DM', 'Dominica', 212);
INSERT INTO `country` VALUES ('DO', 'Dominican Republic', 214);
INSERT INTO `country` VALUES ('EC', 'Ecuador', 218);
INSERT INTO `country` VALUES ('EG', 'Egypt', 818);
INSERT INTO `country` VALUES ('SV', 'El Salvador', 222);
INSERT INTO `country` VALUES ('GQ', 'Equatorial Guinea', 226);
INSERT INTO `country` VALUES ('ER', 'Eritrea', 232);
INSERT INTO `country` VALUES ('EE', 'Estonia', 233);
INSERT INTO `country` VALUES ('ET', 'Ethiopia', 231);
INSERT INTO `country` VALUES ('FK', 'Falkland Islands (Malvinas)', 238);
INSERT INTO `country` VALUES ('FO', 'Faroe Islands', 234);
INSERT INTO `country` VALUES ('FJ', 'Fiji', 242);
INSERT INTO `country` VALUES ('FI', 'Finland', 246);
INSERT INTO `country` VALUES ('FR', 'France', 250);
INSERT INTO `country` VALUES ('GF', 'French Guiana', 254);
INSERT INTO `country` VALUES ('PF', 'French Polynesia', 258);
INSERT INTO `country` VALUES ('TF', 'French Southern Territories', 260);
INSERT INTO `country` VALUES ('GA', 'Gabon', 266);
INSERT INTO `country` VALUES ('GM', 'Gambia', 270);
INSERT INTO `country` VALUES ('GE', 'Georgia', 268);
INSERT INTO `country` VALUES ('DE', 'Germany', 276);
INSERT INTO `country` VALUES ('GH', 'Ghana', 288);
INSERT INTO `country` VALUES ('GI', 'Gibraltar', 292);
INSERT INTO `country` VALUES ('GR', 'Greece', 300);
INSERT INTO `country` VALUES ('GL', 'Greenland', 304);
INSERT INTO `country` VALUES ('GD', 'Grenada', 308);
INSERT INTO `country` VALUES ('GP', 'Guadeloupe', 312);
INSERT INTO `country` VALUES ('GU', 'Guam', 316);
INSERT INTO `country` VALUES ('GT', 'Guatemala', 320);
INSERT INTO `country` VALUES ('GG', 'Guernsey', 831);
INSERT INTO `country` VALUES ('GN', 'Guinea', 324);
INSERT INTO `country` VALUES ('GW', 'Guinea-Bissau', 624);
INSERT INTO `country` VALUES ('GY', 'Guyana', 328);
INSERT INTO `country` VALUES ('HT', 'Haiti', 332);
INSERT INTO `country` VALUES ('HM', 'Heard Island and Mcdonald Islands', 334);
INSERT INTO `country` VALUES ('VA', 'Holy See (Vatican City State)', 336);
INSERT INTO `country` VALUES ('HN', 'Honduras', 340);
INSERT INTO `country` VALUES ('HK', 'Hong Kong', 344);
INSERT INTO `country` VALUES ('HU', 'Hungary', 348);
INSERT INTO `country` VALUES ('IS', 'Iceland', 352);
INSERT INTO `country` VALUES ('IN', 'India', 356);
INSERT INTO `country` VALUES ('ID', 'Indonesia', 360);
INSERT INTO `country` VALUES ('IR', 'Iran, Islamic Republic of', 364);
INSERT INTO `country` VALUES ('IQ', 'Iraq', 368);
INSERT INTO `country` VALUES ('IE', 'Ireland', 372);
INSERT INTO `country` VALUES ('IL', 'Israel', 376);
INSERT INTO `country` VALUES ('IT', 'Italy', 380);
INSERT INTO `country` VALUES ('JM', 'Jamaica', 388);
INSERT INTO `country` VALUES ('JP', 'Japan', 392);
INSERT INTO `country` VALUES ('JE', 'Jersey', 832);
INSERT INTO `country` VALUES ('JO', 'Jordan', 400);
INSERT INTO `country` VALUES ('KZ', 'Kazakhstan', 398);
INSERT INTO `country` VALUES ('KE', 'Kenya', 404);
INSERT INTO `country` VALUES ('KI', 'Kiribati', 296);
INSERT INTO `country` VALUES ('KP', 'Korea, Democratic People''s Republic of', 408);
INSERT INTO `country` VALUES ('KR', 'Korea, Republic of', 410);
INSERT INTO `country` VALUES ('KW', 'Kuwait', 414);
INSERT INTO `country` VALUES ('KG', 'Kyrgyzstan', 417);
INSERT INTO `country` VALUES ('LA', 'Lao People''s Democratic Republic', 418);
INSERT INTO `country` VALUES ('LV', 'Latvia', 428);
INSERT INTO `country` VALUES ('LB', 'Lebanon', 422);
INSERT INTO `country` VALUES ('LS', 'Lesotho', 426);
INSERT INTO `country` VALUES ('LR', 'Liberia', 430);
INSERT INTO `country` VALUES ('LY', 'Libyan Arab Jamahiriya', 434);
INSERT INTO `country` VALUES ('LI', 'Liechtenstein', 438);
INSERT INTO `country` VALUES ('LT', 'Lithuania', 440);
INSERT INTO `country` VALUES ('LU', 'Luxembourg', 442);
INSERT INTO `country` VALUES ('MO', 'Macao', 446);
INSERT INTO `country` VALUES ('MK', 'Macedonia, the Former Yugoslav Republic of', 807);
INSERT INTO `country` VALUES ('MG', 'Madagascar', 450);
INSERT INTO `country` VALUES ('MW', 'Malawi', 454);
INSERT INTO `country` VALUES ('MY', 'Malaysia', 458);
INSERT INTO `country` VALUES ('MV', 'Maldives', 462);
INSERT INTO `country` VALUES ('ML', 'Mali', 466);
INSERT INTO `country` VALUES ('MT', 'Malta', 470);
INSERT INTO `country` VALUES ('MH', 'Marshall Islands', 584);
INSERT INTO `country` VALUES ('MQ', 'Martinique', 474);
INSERT INTO `country` VALUES ('MR', 'Mauritania', 478);
INSERT INTO `country` VALUES ('MU', 'Mauritius', 480);
INSERT INTO `country` VALUES ('YT', 'Mayotte', 175);
INSERT INTO `country` VALUES ('MX', 'Mexico', 484);
INSERT INTO `country` VALUES ('FM', 'Micronesia, Federated States of', 583);
INSERT INTO `country` VALUES ('MD', 'Moldova, Republic of', 498);
INSERT INTO `country` VALUES ('MC', 'Monaco', 492);
INSERT INTO `country` VALUES ('MN', 'Mongolia', 496);
INSERT INTO `country` VALUES ('ME', 'Montenegro', 499);
INSERT INTO `country` VALUES ('ME', 'Montenegro', 499);
INSERT INTO `country` VALUES ('MS', 'Montserrat', 500);
INSERT INTO `country` VALUES ('MA', 'Morocco', 504);
INSERT INTO `country` VALUES ('MZ', 'Mozambique', 508);
INSERT INTO `country` VALUES ('MM', 'Myanmar', 104);
INSERT INTO `country` VALUES ('NA', 'Namibia', 516);
INSERT INTO `country` VALUES ('NR', 'Nauru', 520);
INSERT INTO `country` VALUES ('NP', 'Nepal', 524);
INSERT INTO `country` VALUES ('NL', 'Netherlands', 528);
INSERT INTO `country` VALUES ('AN', 'Netherlands Antilles', 530);
INSERT INTO `country` VALUES ('NC', 'New Caledonia', 540);
INSERT INTO `country` VALUES ('NZ', 'New Zealand', 554);
INSERT INTO `country` VALUES ('NI', 'Nicaragua', 558);
INSERT INTO `country` VALUES ('NE', 'Niger', 562);
INSERT INTO `country` VALUES ('NG', 'Nigeria', 566);
INSERT INTO `country` VALUES ('NU', 'Niue', 570);
INSERT INTO `country` VALUES ('NF', 'Norfolk Island', 574);
INSERT INTO `country` VALUES ('MP', 'Northern Mariana Islands', 580);
INSERT INTO `country` VALUES ('NO', 'Norway', 578);
INSERT INTO `country` VALUES ('OM', 'Oman', 512);
INSERT INTO `country` VALUES ('PK', 'Pakistan', 586);
INSERT INTO `country` VALUES ('PW', 'Palau', 585);
INSERT INTO `country` VALUES ('PS', 'Palestinian Territory, Occupied', 275);
INSERT INTO `country` VALUES ('PA', 'Panama', 591);
INSERT INTO `country` VALUES ('PG', 'Papua New Guinea', 598);
INSERT INTO `country` VALUES ('PY', 'Paraguay', 600);
INSERT INTO `country` VALUES ('PE', 'Peru', 604);
INSERT INTO `country` VALUES ('PH', 'Philippines', 608);
INSERT INTO `country` VALUES ('PN', 'Pitcairn', 612);
INSERT INTO `country` VALUES ('PL', 'Poland', 616);
INSERT INTO `country` VALUES ('PT', 'Portugal', 620);
INSERT INTO `country` VALUES ('PR', 'Puerto Rico', 630);
INSERT INTO `country` VALUES ('QA', 'Qatar', 634);
INSERT INTO `country` VALUES ('RE', 'Reunion', 638);
INSERT INTO `country` VALUES ('RO', 'Romania', 642);
INSERT INTO `country` VALUES ('RU', 'Russian Federation', 643);
INSERT INTO `country` VALUES ('RW', 'Rwanda', 646);
INSERT INTO `country` VALUES ('SH', 'Saint Helena', 654);
INSERT INTO `country` VALUES ('KN', 'Saint Kitts and Nevis', 659);
INSERT INTO `country` VALUES ('LC', 'Saint Lucia', 662);
INSERT INTO `country` VALUES ('PM', 'Saint Pierre and Miquelon', 666);
INSERT INTO `country` VALUES ('VC', 'Saint Vincent and the Grenadines', 670);
INSERT INTO `country` VALUES ('WS', 'Samoa', 882);
INSERT INTO `country` VALUES ('SM', 'San Marino', 674);
INSERT INTO `country` VALUES ('ST', 'Sao Tome and Principe', 678);
INSERT INTO `country` VALUES ('SA', 'Saudi Arabia', 682);
INSERT INTO `country` VALUES ('SN', 'Senegal', 686);
INSERT INTO `country` VALUES ('RS', 'Serbia', 688);
INSERT INTO `country` VALUES ('RS', 'Serbia', 688);
INSERT INTO `country` VALUES ('SC', 'Seychelles', 690);
INSERT INTO `country` VALUES ('SL', 'Sierra Leone', 694);
INSERT INTO `country` VALUES ('SG', 'Singapore', 702);
INSERT INTO `country` VALUES ('SK', 'Slovakia', 703);
INSERT INTO `country` VALUES ('SI', 'Slovenia', 705);
INSERT INTO `country` VALUES ('SB', 'Solomon Islands', 90);
INSERT INTO `country` VALUES ('SO', 'Somalia', 706);
INSERT INTO `country` VALUES ('ZA', 'South Africa', 710);
INSERT INTO `country` VALUES ('GS', 'South Georgia and the South Sandwich Islands', 239);
INSERT INTO `country` VALUES ('ES', 'Spain', 724);
INSERT INTO `country` VALUES ('LK', 'Sri Lanka', 144);
INSERT INTO `country` VALUES ('SD', 'Sudan', 736);
INSERT INTO `country` VALUES ('SR', 'Suriname', 740);
INSERT INTO `country` VALUES ('SJ', 'Svalbard and Jan Mayen', 744);
INSERT INTO `country` VALUES ('SZ', 'Swaziland', 748);
INSERT INTO `country` VALUES ('SE', 'Sweden', 752);
INSERT INTO `country` VALUES ('CH', 'Switzerland', 756);
INSERT INTO `country` VALUES ('SY', 'Syrian Arab Republic', 760);
INSERT INTO `country` VALUES ('TW', 'Taiwan, Province of China', 158);
INSERT INTO `country` VALUES ('TJ', 'Tajikistan', 762);
INSERT INTO `country` VALUES ('TZ', 'Tanzania, United Republic of', 834);
INSERT INTO `country` VALUES ('TH', 'Thailand', 764);
INSERT INTO `country` VALUES ('TL', 'Timor-Leste', 626);
INSERT INTO `country` VALUES ('TG', 'Togo', 768);
INSERT INTO `country` VALUES ('TK', 'Tokelau', 772);
INSERT INTO `country` VALUES ('TO', 'Tonga', 776);
INSERT INTO `country` VALUES ('TT', 'Trinidad and Tobago', 780);
INSERT INTO `country` VALUES ('TN', 'Tunisia', 788);
INSERT INTO `country` VALUES ('TR', 'Turkey', 792);
INSERT INTO `country` VALUES ('TM', 'Turkmenistan', 795);
INSERT INTO `country` VALUES ('TC', 'Turks and Caicos Islands', 796);
INSERT INTO `country` VALUES ('TV', 'Tuvalu', 798);
INSERT INTO `country` VALUES ('UG', 'Uganda', 800);
INSERT INTO `country` VALUES ('UA', 'Ukraine', 804);
INSERT INTO `country` VALUES ('AE', 'United Arab Emirates', 784);
INSERT INTO `country` VALUES ('GB', 'United Kingdom', 826);
INSERT INTO `country` VALUES ('US', 'United States', 840);
INSERT INTO `country` VALUES ('UM', 'United States Minor Outlying Islands', 581);
INSERT INTO `country` VALUES ('UY', 'Uruguay', 858);
INSERT INTO `country` VALUES ('UZ', 'Uzbekistan', 860);
INSERT INTO `country` VALUES ('VU', 'Vanuatu', 548);
INSERT INTO `country` VALUES ('VE', 'Venezuela', 862);
INSERT INTO `country` VALUES ('VN', 'Viet Nam', 704);
INSERT INTO `country` VALUES ('VG', 'Virgin Islands, British', 92);
INSERT INTO `country` VALUES ('VI', 'Virgin Islands, U.s.', 850);
INSERT INTO `country` VALUES ('WF', 'Wallis and Futuna', 876);
INSERT INTO `country` VALUES ('EH', 'Western Sahara', 732);
INSERT INTO `country` VALUES ('YE', 'Yemen', 887);
INSERT INTO `country` VALUES ('ZM', 'Zambia', 894);
INSERT INTO `country` VALUES ('ZW', 'Zimbabwe', 716);

-- --------------------------------------------------------

--
-- Database version
--

UPDATE `server` SET `value` = '28' WHERE `name` = 'database_version' LIMIT 1;
