-- phpMyAdmin SQL Dump
-- version 4.6.0
-- http://www.phpmyadmin.net
--
--
-- Database: `netjukebox`
--

-- --------------------------------------------------------

--
-- Table structure for table `album`
--

CREATE TABLE `album` (
  `artist` varchar(255) NOT NULL DEFAULT '',
  `artist_alphabetic` varchar(255) NOT NULL DEFAULT '',
  `album` varchar(255) NOT NULL DEFAULT '',
  `year` smallint(4) UNSIGNED DEFAULT NULL,
  `month` tinyint(2) UNSIGNED DEFAULT NULL,
  `genre_id` varchar(10) NOT NULL DEFAULT '',
  `album_add_time` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `discs` tinyint(2) UNSIGNED NOT NULL DEFAULT '0',
  `relative_dir` varchar(255) NOT NULL DEFAULT '',
  `image_id` varchar(30) NOT NULL DEFAULT '',
  `album_id` char(11) NOT NULL DEFAULT '',
  `updated` tinyint(1) UNSIGNED NOT NULL DEFAULT '0'
) ENGINE=MyISAM;

-- --------------------------------------------------------

--
-- Table structure for table `bitmap`
--

CREATE TABLE `bitmap` (
  `image` mediumblob NOT NULL,
  `filesize` bigint(20) UNSIGNED NOT NULL DEFAULT '0',
  `filemtime` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `flag` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `image_front_width` mediumint(8) UNSIGNED NOT NULL DEFAULT '0',
  `image_front_height` mediumint(8) UNSIGNED NOT NULL DEFAULT '0',
  `image_front` varchar(255) NOT NULL DEFAULT '',
  `image_back` varchar(255) NOT NULL DEFAULT '',
  `image_id` varchar(30) NOT NULL DEFAULT '',
  `album_id` char(11) NOT NULL DEFAULT '',
  `updated` tinyint(1) UNSIGNED NOT NULL DEFAULT '0'
) ENGINE=MyISAM;

-- --------------------------------------------------------

--
-- Table structure for table `cache`
--

CREATE TABLE `cache` (
  `id` varchar(20) NOT NULL DEFAULT '',
  `profile` tinyint(3) NOT NULL DEFAULT '0',
  `create_time` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `idle_time` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `filesize` bigint(20) UNSIGNED NOT NULL DEFAULT '0',
  `filemtime` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `tag_hash` char(32) NOT NULL DEFAULT '',
  `zip_hash` char(32) NOT NULL DEFAULT '',
  `relative_file` varchar(255) NOT NULL DEFAULT '',
  `updated` tinyint(1) UNSIGNED NOT NULL DEFAULT '0'
) ENGINE=MyISAM;

-- --------------------------------------------------------

--
-- Table structure for table `counter`
--

CREATE TABLE `counter` (
  `sid` char(40) NOT NULL DEFAULT '',
  `album_id` char(11) NOT NULL DEFAULT '',
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `flag` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `time` int(10) UNSIGNED NOT NULL DEFAULT '0'
) ENGINE=MyISAM;

-- --------------------------------------------------------

--
-- Table structure for table `country`
--

CREATE TABLE `country` (
  `ip` varchar(45) NOT NULL DEFAULT '',
  `code` char(2) NOT NULL DEFAULT ''
) ENGINE=MyISAM;

-- --------------------------------------------------------

--
-- Table structure for table `favorite`
--

CREATE TABLE `favorite` (
  `name` varchar(255) NOT NULL DEFAULT '',
  `comment` varchar(255) NOT NULL DEFAULT '',
  `stream` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `favorite_id` int(10) UNSIGNED NOT NULL
) ENGINE=MyISAM;

-- --------------------------------------------------------

--
-- Table structure for table `favoriteitem`
--

CREATE TABLE `favoriteitem` (
  `track_id` char(20) NOT NULL DEFAULT '',
  `stream_url` varchar(255) NOT NULL DEFAULT '',
  `position` smallint(5) UNSIGNED NOT NULL DEFAULT '0',
  `favorite_id` int(10) UNSIGNED NOT NULL DEFAULT '0'
) ENGINE=MyISAM;

-- --------------------------------------------------------

--
-- Table structure for table `genre`
--

CREATE TABLE `genre` (
  `genre_id` varchar(10) NOT NULL DEFAULT '',
  `genre` varchar(255) NOT NULL DEFAULT ''
) ENGINE=MyISAM;

-- --------------------------------------------------------

--
-- Table structure for table `player`
--

CREATE TABLE `player` (
  `player_name` varchar(255) NOT NULL DEFAULT '',
  `player_type` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `player_host` varchar(255) NOT NULL DEFAULT '',
  `player_port` smallint(5) UNSIGNED NOT NULL DEFAULT '0',
  `player_pass` varchar(255) NOT NULL DEFAULT '',
  `media_share` varchar(255) NOT NULL DEFAULT '',
  `mute_volume` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  `player_id` int(10) UNSIGNED NOT NULL
) ENGINE=MyISAM;

-- --------------------------------------------------------

--
-- Table structure for table `random`
--

CREATE TABLE `random` (
  `sid` char(40) NOT NULL DEFAULT '',
  `track_id` char(20) NOT NULL DEFAULT '',
  `position` smallint(5) UNSIGNED NOT NULL DEFAULT '0',
  `create_time` int(10) UNSIGNED NOT NULL DEFAULT '0'
) ENGINE=MyISAM;

-- --------------------------------------------------------

--
-- Table structure for table `server`
--

CREATE TABLE `server` (
  `name` varchar(255) NOT NULL DEFAULT '',
  `value` varchar(255) NOT NULL DEFAULT '',
  `is_integer` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=MyISAM;

-- --------------------------------------------------------

--
-- Table structure for table `session`
--

CREATE TABLE `session` (
  `logged_in` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `user_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `hit_counter` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `visit_counter` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `create_time` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `pre_login_time` bigint(20) UNSIGNED NOT NULL DEFAULT '0',
  `login_time` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `idle_time` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `lock_ip` tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
  `ip` varchar(45) NOT NULL DEFAULT '',
  `user_agent` varchar(255) DEFAULT '',
  `sid` char(40) NOT NULL DEFAULT '',
  `sign` char(40) NOT NULL DEFAULT '',
  `salt` char(40) NOT NULL DEFAULT '',
  `scrypt_options` varchar(80) NOT NULL DEFAULT '',
  `thumbnail` tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
  `explode` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `play_mode` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `player_id` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `stream_id` tinyint(4) NOT NULL DEFAULT '2',
  `download_id` tinyint(4) NOT NULL DEFAULT '2',
  `html_audio_lossy` tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
  `html_audio_lossless` tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
  `html_audio_url` varchar(255) NOT NULL DEFAULT '',
  `random_blacklist` varchar(255) NOT NULL DEFAULT '',
  `skin` varchar(255) NOT NULL DEFAULT 'Clean'
) ENGINE=MyISAM;

-- --------------------------------------------------------

--
-- Table structure for table `share_download`
--

CREATE TABLE `share_download` (
  `ip` varchar(45) NOT NULL DEFAULT '',
  `sid` char(40) NOT NULL DEFAULT '',
  `album_id` char(11) NOT NULL DEFAULT '',
  `download_id` tinyint(3) NOT NULL DEFAULT '0',
  `expire_time` int(10) UNSIGNED NOT NULL DEFAULT '0'
) ENGINE=MyISAM;

-- --------------------------------------------------------

--
-- Table structure for table `share_stream`
--

CREATE TABLE `share_stream` (
  `ip` varchar(45) NOT NULL DEFAULT '',
  `sid` char(40) NOT NULL DEFAULT '',
  `album_id` char(11) NOT NULL DEFAULT '',
  `stream_id` tinyint(3) NOT NULL DEFAULT '0',
  `html_audio_lossy` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `html_audio_lossless` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `expire_time` int(10) UNSIGNED NOT NULL DEFAULT '0'
) ENGINE=MyISAM;

-- --------------------------------------------------------

--
-- Table structure for table `track`
--

CREATE TABLE `track` (
  `artist` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `featuring` varchar(255) NOT NULL DEFAULT '',
  `relative_file` varchar(255) NOT NULL DEFAULT '',
  `mime_type` varchar(64) NOT NULL DEFAULT '',
  `filesize` bigint(20) UNSIGNED NOT NULL DEFAULT '0',
  `filemtime` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `miliseconds` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `audio_bitrate` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `audio_bits_per_sample` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `audio_sample_rate` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `audio_channels` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  `audio_lossless` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `audio_compression_ratio` double UNSIGNED NOT NULL DEFAULT '0',
  `audio_dataformat` varchar(64) NOT NULL DEFAULT '',
  `audio_encoder` varchar(64) NOT NULL DEFAULT '',
  `audio_profile` varchar(64) NOT NULL DEFAULT '',
  `video_dataformat` varchar(64) NOT NULL DEFAULT '',
  `video_codec` varchar(64) NOT NULL DEFAULT '',
  `video_resolution_x` mediumint(8) UNSIGNED NOT NULL DEFAULT '0',
  `video_resolution_y` mediumint(8) UNSIGNED NOT NULL DEFAULT '0',
  `video_framerate` smallint(5) UNSIGNED NOT NULL DEFAULT '0',
  `disc` tinyint(3) UNSIGNED NOT NULL DEFAULT '0',
  `number` smallint(5) UNSIGNED DEFAULT NULL,
  `error` varchar(255) NOT NULL DEFAULT '',
  `album_id` char(11) NOT NULL DEFAULT '',
  `track_id` char(20) NOT NULL DEFAULT '',
  `transcoded` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `updated` tinyint(1) UNSIGNED NOT NULL DEFAULT '0'
) ENGINE=MyISAM;

-- --------------------------------------------------------

--
-- Table structure for table `user`
--

CREATE TABLE `user` (
  `username` varchar(255) NOT NULL DEFAULT '',
  `password` char(64) NOT NULL DEFAULT '',
  `salt` char(40) NOT NULL DEFAULT '',
  `scrypt_options` varchar(80) NOT NULL DEFAULT '',
  `access_media` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `access_popular` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `access_favorite` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `access_play` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `access_stream` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `access_download` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `access_cover` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `access_statistics` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `access_admin` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `access_search` tinyint(3) UNSIGNED NOT NULL DEFAULT '127',
  `play_mode` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `player_id` int(11) NOT NULL DEFAULT '0',
  `stream_id` tinyint(4) NOT NULL DEFAULT '2',
  `download_id` tinyint(4) NOT NULL DEFAULT '2',
  `html_audio_lossy` tinyint(3) UNSIGNED NOT NULL DEFAULT '1',
  `html_audio_lossless` tinyint(3) UNSIGNED NOT NULL DEFAULT '1',
  `random_blacklist` varchar(255) NOT NULL DEFAULT '',
  `skin` varchar(255) NOT NULL DEFAULT 'Clean',
  `user_id` int(10) UNSIGNED NOT NULL
) ENGINE=MyISAM;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `album`
--
ALTER TABLE `album`
  ADD PRIMARY KEY (`album_id`),
  ADD KEY `artist` (`artist`),
  ADD KEY `artist_alphabetic` (`artist_alphabetic`),
  ADD KEY `album` (`album`),
  ADD KEY `year` (`year`,`month`),
  ADD KEY `genre_id` (`genre_id`),
  ADD KEY `album_add_time` (`album_add_time`),
  ADD KEY `updated` (`updated`);

--
-- Indexes for table `bitmap`
--
ALTER TABLE `bitmap`
  ADD PRIMARY KEY (`album_id`),
  ADD KEY `flag` (`flag`),
  ADD KEY `cd_front` (`image_front`),
  ADD KEY `cd_back` (`image_back`),
  ADD KEY `updated` (`updated`);

--
-- Indexes for table `cache`
--
ALTER TABLE `cache`
  ADD KEY `id` (`id`),
  ADD KEY `profile` (`profile`),
  ADD KEY `idle_time` (`idle_time`),
  ADD KEY `relative_file` (`relative_file`),
  ADD KEY `updated` (`updated`);

--
-- Indexes for table `counter`
--
ALTER TABLE `counter`
  ADD KEY `sid` (`sid`),
  ADD KEY `album_id` (`album_id`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `time` (`time`),
  ADD KEY `flag` (`flag`);

--
-- Indexes for table `country`
--
ALTER TABLE `country`
  ADD KEY `ip` (`ip`);

--
-- Indexes for table `favorite`
--
ALTER TABLE `favorite`
  ADD PRIMARY KEY (`favorite_id`),
  ADD KEY `comment` (`comment`),
  ADD KEY `name` (`name`),
  ADD KEY `stream` (`stream`);

--
-- Indexes for table `favoriteitem`
--
ALTER TABLE `favoriteitem`
  ADD KEY `favorite_id` (`favorite_id`,`position`);

--
-- Indexes for table `genre`
--
ALTER TABLE `genre`
  ADD PRIMARY KEY (`genre_id`),
  ADD KEY `genre` (`genre`);

--
-- Indexes for table `player`
--
ALTER TABLE `player`
  ADD PRIMARY KEY (`player_id`),
  ADD KEY `httpq_name` (`player_name`);

--
-- Indexes for table `random`
--
ALTER TABLE `random`
  ADD KEY `sid` (`sid`),
  ADD KEY `track_id` (`track_id`),
  ADD KEY `position` (`position`),
  ADD KEY `create_time` (`create_time`);

--
-- Indexes for table `server`
--
ALTER TABLE `server`
  ADD PRIMARY KEY (`name`);

--
-- Indexes for table `session`
--
ALTER TABLE `session`
  ADD PRIMARY KEY (`sid`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `idle_time` (`idle_time`),
  ADD KEY `ip` (`ip`,`pre_login_time`);

--
-- Indexes for table `share_download`
--
ALTER TABLE `share_download`
  ADD PRIMARY KEY (`sid`),
  ADD KEY `album_id` (`album_id`),
  ADD KEY `expire_time` (`expire_time`);

--
-- Indexes for table `share_stream`
--
ALTER TABLE `share_stream`
  ADD PRIMARY KEY (`sid`),
  ADD KEY `album_id` (`album_id`),
  ADD KEY `expire_time` (`expire_time`);

--
-- Indexes for table `track`
--
ALTER TABLE `track`
  ADD KEY `artist` (`artist`),
  ADD KEY `title` (`title`),
  ADD KEY `relative_file` (`relative_file`),
  ADD KEY `audio_dataformat` (`audio_dataformat`),
  ADD KEY `video_dataformat` (`video_dataformat`),
  ADD KEY `album_id` (`album_id`,`disc`),
  ADD KEY `track_id` (`track_id`),
  ADD KEY `updated` (`updated`),
  ADD KEY `error` (`error`),
  ADD KEY `transcoded` (`transcoded`);

--
-- Indexes for table `user`
--
ALTER TABLE `user`
  ADD PRIMARY KEY (`user_id`),
  ADD KEY `username` (`username`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `favorite`
--
ALTER TABLE `favorite`
  MODIFY `favorite_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `player`
--
ALTER TABLE `player`
  MODIFY `player_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `user`
--
ALTER TABLE `user`
  MODIFY `user_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

  -- --------------------------------------------------------

  --
  -- Genre example
  --

  INSERT INTO `genre` VALUES ('a', 'Pop');
  INSERT INTO `genre` VALUES ('aa', 'Rock');
  INSERT INTO `genre` VALUES ('ab', 'Alternative');
  INSERT INTO `genre` VALUES ('b', 'Soul');
  INSERT INTO `genre` VALUES ('ba', 'R&B');
  INSERT INTO `genre` VALUES ('c', 'Dance');
  INSERT INTO `genre` VALUES ('ca', 'Triphop');
  INSERT INTO `genre` VALUES ('cb', 'Rap & Hiphop');
  INSERT INTO `genre` VALUES ('cc', 'Ambient');
  INSERT INTO `genre` VALUES ('d', 'Roots');
  INSERT INTO `genre` VALUES ('da', 'World');
  INSERT INTO `genre` VALUES ('db', 'Blues');
  INSERT INTO `genre` VALUES ('dc', 'Country');
  INSERT INTO `genre` VALUES ('dd', 'Reggea');
  INSERT INTO `genre` VALUES ('e', 'Jazz');
  INSERT INTO `genre` VALUES ('f', 'Soundtrack');

  -- --------------------------------------------------------

  --
  -- Default users
  --

  INSERT INTO `user` VALUES ('admin', 'f5b34c9c1685edd9343d25cc3f7d022ed29de2f6e9f0c89a11d5f7a3a64ae18e', 'VKZBT0wwsANB7CorN5JGq8GTGWw2UCGSnfZ-Dn6m', '{"N":65536,"r":8,"p":1,"dkLen":32,"encoding":"hex"}', 1, 1, 1, 1, 1, 1, 1, 1, 1, 127, 0, 0, 2, 2, 1, 1, '', 'Clean', NULL);
  INSERT INTO `user` VALUES ('anonymous', '74a06855de94d9694cb37c33ea96a4c084b5e56f992c9b67bea56d8186705761', 'C1Jug2W2OJILPMw9MaVo02LjSEXuG0D-dDaBD3e7', '{"N":65536,"r":8,"p":1,"dkLen":32,"encoding":"hex"}', 1, 0, 0, 0, 0, 0, 0, 0, 0, 127, 0, 0, 2, 2, 1, 1, '', 'Clean', NULL);

  -- --------------------------------------------------------

  --
  -- Default server
  --

  INSERT INTO `server` VALUES ('batch_transcode_start_time', '0', 1);
  INSERT INTO `server` VALUES ('database_version', '55', 1);
  INSERT INTO `server` VALUES ('getid3_hash', 'd41d8cd98f00b204e9800998ecf8427e', 0);
  INSERT INTO `server` VALUES ('image_quality', '0', 1);
  INSERT INTO `server` VALUES ('image_size', '0', 1);
  INSERT INTO `server` VALUES ('latest_version', 'Unresolved', 0);
  INSERT INTO `server` VALUES ('latest_version_idle_time', '0', 1);
